<div class="container">
	<h3>Dependency overview</h3>
	<div class="table-container">
		<table mat-table [dataSource]="dependenciesTableSource" class="mat-elevation-z8">
			<ng-container matColumnDef="index">
				<th mat-header-cell *matHeaderCellDef> No. </th>
				<td mat-cell *matCellDef="let element"> {{element.index}} </td>
			</ng-container>

			<ng-container matColumnDef="name">
				<th mat-header-cell *matHeaderCellDef> Name </th>
				<td mat-cell *matCellDef="let element"> {{element.name}} </td>
			</ng-container>

			<ng-container matColumnDef="actions">
				<th [class]="readonly ? 'short' : 'wide'" mat-header-cell *matHeaderCellDef></th>
				<td [class]="readonly ? 'short' : 'wide'" mat-cell *matCellDef="let element">
					<a mat-button color="primary" (click)="onSelectDependency(element.name)">View</a>
					<a mat-button color="warn" *ngIf="!readonly" (click)="onRemoveDependency(element.name)">Remove</a>
				</td>
			</ng-container>

			<tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
			<tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
		</table>
	</div>

	<br>
	<div class="divider-container">
		<div class="divider-text mat-typography">{{getName}}</div>
		<div class="divider-line">
			<mat-divider></mat-divider>
		</div>
	</div>

	<form [formGroup]="dependencyFormGroup">
		<mat-form-field *ngIf="creatingNew">
			<mat-label>Dependency name</mat-label>
			<input matInput formControlName="name" placeholder="Dependency name">
		</mat-form-field>

		<mat-form-field>
			<mat-label *ngIf="creatingNew">Dependency</mat-label>
			<textarea class="dependency-text-area" formControlName="value" matInput></textarea>
		</mat-form-field>
	</form>
	<div class="commands">
		<button *ngIf="!readonly" (click)="onClear()" mat-raised-button color="primary">Clear</button>
		<button *ngIf="!readonly" [disabled]="isConfirmDisabled" (click)="onConfirm()" mat-raised-button color="primary">Confirm</button>
		<button (click)="onClose()" mat-raised-button color="primary">Close</button>
	</div>
</div>